/** @file
 * $Source: /home/cvsmanager/yoda/event/log/LogEvent.cpp,v $
 * $Id: LogEvent.cpp,v 5.1 2006/02/04 12:37:44 kusanagi Exp $
 * $Author: kusanagi $
 * 
 * Implementation of the LogEvent class.
 */
#include "LogEvent.h"

using namespace pamela;
TClonesArray *LogEvent::fgRecords = 0;

LogEvent::LogEvent(void): SubPacket("Log", PacketType::Log) {
if (!fgRecords) fgRecords = new TClonesArray("pamela::LogRecord", 1);
   Records = fgRecords;
}

LogEvent::~LogEvent(void) {
}
ClassImp(LogEvent)
